#### PyKDE - Python Bindings for KDE

# class KToolBarSeparator |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KToolBarSeparator
Inherits | QFrame

### methods

- KToolBarSeparator (a0, l, parent, name = 0)

  returns a KToolBarSeparator instance
  Argument | Type | Default
  --- | --- | ---
  a0 | Orientation |
  l | bool |
  parent | QToolBar |
  name | char | 0

- drawContents (a0)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | QPainter |

- orientation ()

  returns (Orientation)

- setOrientation (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | Orientation |

- showLine ()

  returns (bool)

- sizeHint ()

  returns (QSize)

- sizePolicy ()

  returns (QSizePolicy)

- styleChange (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | QStyle |